<template lang="pug">
div
  h1 Global Settings

  table

    tr
      td Brigthness
      td
        input(type="range", v-model="streamDeckSettings.brightness", :min="0", :max="1", :step="0.01", number)

    tr
      td Wallpaper source
      td
        input(type="text", v-model="streamDeckSettings.wallpaperSrc")

    tr
      td Wallpaper text
      td
        input(type="text", v-model="streamDeckSettings.wallpaperText")



  </template>
  
  
  
  <script lang="js">
  
  import { useGlobalSettings} from '@bitaffair/vue-streamdeck';

    
  export default {
    setup() {

  
      const streamDeckSettings = useGlobalSettings();
 
  
      return {
        streamDeckSettings
      }
    }
  }
  
  </script>